/*
 * 
 */
define(function(require) {
	var $ = require('jquery');
    var comm = require('asset/common');
    var user = comm.getUserInfo();

	var base = require('base');
	base.ajaxSetup($);

	var render = require('render');
	var myRender = render({
		el: '#view',
		reload: true,
		callback: function($el, html) {
			var id = base.url.get('id');
			if (id) {
				setTimeout(function(){
					$('.link' + id).trigger('click');
					location.href='#id' + id;
				},0);
			}
		}
	});

	var getData = function() {
		$.ajax({
			url: seajs.host + '/api/newIndex/v1/labeles', //'zy.json',
			dataType: 'json',
			localCache: 'snapshoot',
			success: function(res) {
				if (res.status === 'Y') {
					//渲染列表
					myRender.data(res);
				} else {
					alert(res.msg || '数据异常');
				}
			}
		});
	};
	//初始加载
	getData();

	//事件
	var scrollLock;
	$('#view').on('click', '.li', function(e) {
		if (scrollLock || $(this).hasClass('cur')) {
			return e.preventDefault();
		}
		scrollLock = true;
		$(this).addClass('cur').siblings('.cur').removeClass('cur');
		setTimeout(function() {
			scrollLock = false;
		}, 100);
	});
	var $window = $(window);
	var scrollCache = base.throttle(function() {
		$('h2.itemTitle').each(function(i, tag) {
			var tagST = $(tag).offset().top,
				winST = $window.scrollTop();
			if (tagST >= winST) {
				$('#view').find('.li').eq(i).trigger('click');
				return false;
			}
		});
	});
	$window.on('scroll', scrollCache);

});