/*
 * 
 */
define(function(require) {
	var $ = require('jquery');
	var comm = require('asset/common');
	var user = comm.getUserInfo();

	var base = require('base');
	base.ajaxSetup($);

	var render = require('render');
	var myRender = render({
		el: '#view',
		reload: true,
		callback: function($el, html) {

		}
	});

	var getData = function(param) {
		$.ajax({
			url: seajs.host + '/api/newIndex/v1/theme', //'zt.json',
			data: {
				id:param
			},
			dataType: 'json',
			success: function(res) {
				if (res.status === 'Y') {
					//渲染列表
					myRender.data(res);
				} else {
					alert(res.msg || '数据异常');
				}
			}
		});
	};
	//初始加载
	var id = base.url.get('id');
	if(id){
		getData(id);
	}else{
		console.warn('专题参数错误');
	}
	

});